with GNATCOM.Dispinterface;

package MSHTML.IHTMLLinkElement4_Interface is

   type IHTMLLinkElement4_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLLinkElement4_Type);

   function Pointer (This : IHTMLLinkElement4_Type)
     return Pointer_To_IHTMLLinkElement4;

   procedure Attach (This    : in out IHTMLLinkElement4_Type;
                     Pointer : in     Pointer_To_IHTMLLinkElement4);

   procedure Put_href
     (This : IHTMLLinkElement4_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_href
     (This : IHTMLLinkElement4_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLLinkElement4_Interface;

